Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 4582)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 4583)
@@ -1,20 +1,19 @@
 !> @file disturb_field.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,19 +24,22 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4457 2020-03-11 14:20:43Z raasch
 ! use statement for exchange horiz added
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
-! 
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
+!
 ! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
-! 
+!
 ! 4237 2019-09-25 11:33:42Z knoop
 ! Added missing OpenMP directives
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 3849 2019-04-01 16:35:16Z knoop
 ! Corrected "Former revisions" section
@@ -50,36 +52,33 @@
 ! ------------
 !> Imposing a random perturbation on a 3D-array.
-!> On parallel computers, the random number generator is as well called for all
-!> gridpoints of the total domain to ensure, regardless of the number of PEs
-!> used, that the elements of the array have the same values in the same
-!> order in every case. The perturbation range is steered by dist_range.
-!------------------------------------------------------------------------------!
+!> On parallel computers, the random number generator is as well called for all gridpoints of the
+!> total domain to ensure, regardless of the number of PEs used, that the elements of the array have
+!> the same values in the same order in every case. The perturbation range is steered by dist_range.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE disturb_field( var_char, dist1, field )
- 
-
-    USE control_parameters,                                                    &
-        ONLY:  dist_nxl, dist_nxr, dist_nyn, dist_nys, dist_range,             &
-               disturbance_amplitude, disturbance_created,                     &
-               disturbance_level_ind_b, disturbance_level_ind_t, iran,         &
+
+
+    USE control_parameters,                                                                        &
+        ONLY:  dist_nxl, dist_nxr, dist_nyn, dist_nys, dist_range, disturbance_amplitude,          &
+               disturbance_created, disturbance_level_ind_b, disturbance_level_ind_t, iran,        &
                random_generator, topography
-                
-    USE cpulog,                                                                &
+
+    USE cpulog,                                                                                    &
         ONLY:  cpu_log, log_point
-        
-    USE exchange_horiz_mod,                                                    &
+
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE indices,                                                               &
-        ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzb_max, &
-               nzt, wall_flags_total_0
-        
+    USE indices,                                                                                   &
+        ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzb_max, nzt,                &
+               wall_flags_total_0
+
     USE kinds
-    
-    USE random_function_mod,                                                   &
+
+    USE random_function_mod,                                                                       &
         ONLY: random_function
-        
-    USE random_generator_parallel,                                             &
-        ONLY:  random_number_parallel, random_seed_parallel, random_dummy,     &
-               seq_random_array
+
+    USE random_generator_parallel,                                                                 &
+        ONLY:  random_number_parallel, random_seed_parallel, random_dummy, seq_random_array
 
     IMPLICIT NONE
@@ -87,5 +86,5 @@
     CHARACTER (LEN = *) ::  var_char !< flag to distinguish betwenn u- and v-component
 
-    INTEGER(iwp) ::  flag_nr !< number of respective flag for u- or v-grid 
+    INTEGER(iwp) ::  flag_nr !< number of respective flag for u- or v-grid
     INTEGER(iwp) ::  i       !< index variable
     INTEGER(iwp) ::  j       !< index variable
@@ -93,8 +92,8 @@
 
     REAL(wp) ::  randomnumber  !<
-    
+
     REAL(wp) ::  dist1(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  !<
     REAL(wp) ::  field(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  !<
-    
+
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  dist2  !<
 
@@ -105,6 +104,5 @@
     flag_nr = MERGE( 20, 21, TRIM(var_char) == 'u' )
 !
-!-- Create an additional temporary array and initialize the arrays needed
-!-- to store the disturbance
+!-- Create an additional temporary array and initialize the arrays needed to store the disturbance
     ALLOCATE( dist2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !$ACC DATA CREATE(dist2(nzb:nzt+1,nysg:nyng,nxlg:nxrg))
@@ -123,9 +121,6 @@
           DO  j = dist_nys(dist_range), dist_nyn(dist_range)
              DO  k = disturbance_level_ind_b, disturbance_level_ind_t
-                randomnumber = 3.0_wp * disturbance_amplitude *                &
-                               ( random_function( iran ) - 0.5_wp )
-                IF ( nxl <= i  .AND.  nxr >= i  .AND.  nys <= j  .AND.         &
-                     nyn >= j )                                                &
-                THEN
+                randomnumber = 3.0_wp * disturbance_amplitude * ( random_function( iran ) - 0.5_wp )
+                IF ( nxl <= i  .AND.  nxr >= i  .AND.  nys <= j  .AND. nyn >= j )  THEN
                    dist1(k,j,i) = randomnumber
                 ENDIF
@@ -139,9 +134,6 @@
              DO  k = disturbance_level_ind_b, disturbance_level_ind_t
                 CALL random_number_parallel( random_dummy )
-                randomnumber = 3.0_wp * disturbance_amplitude *                &
-                               ( random_dummy - 0.5_wp )
-                IF ( nxl <= i  .AND.  nxr >= i  .AND.  nys <= j  .AND.         &
-                     nyn >= j )                                                &
-                THEN
+                randomnumber = 3.0_wp * disturbance_amplitude * ( random_dummy - 0.5_wp )
+                IF ( nxl <= i  .AND.  nxr >= i  .AND.  nys <= j  .AND.  nyn >= j )  THEN
                    dist1(k,j,i) = randomnumber
                 ENDIF
@@ -155,8 +147,6 @@
              DO  k = disturbance_level_ind_b, disturbance_level_ind_t
                 CALL RANDOM_NUMBER( randomnumber )
-                randomnumber = 3.0_wp * disturbance_amplitude *                &
-                                ( randomnumber - 0.5_wp )
-                IF ( nxl <= i .AND. nxr >= i .AND. nys <= j .AND. nyn >= j )   &
-                THEN
+                randomnumber = 3.0_wp * disturbance_amplitude * ( randomnumber - 0.5_wp )
+                IF ( nxl <= i  .AND.  nxr >= i  .AND.  nys <= j  .AND.  nyn >= j )  THEN
                    dist1(k,j,i) = randomnumber
                 ENDIF
@@ -177,8 +167,6 @@
 !
 !-- Applying the Shuman filter in order to smooth the perturbations.
-!-- Neighboured grid points in all three directions are used for the
-!-- filter operation.
-!-- Loop has been splitted to make runs reproducible on HLRN systems using
-!-- compiler option -O3
+!-- Neighboured grid points in all three directions are used for the filter operation.
+!-- Loop has been splitted to make runs reproducible on HLRN systems using compiler option -O3
      !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j, k) PRESENT(dist1, dist2)
      !$OMP PARALLEL DO PRIVATE(i, j, k)
@@ -186,12 +174,12 @@
         DO  j = nys, nyn
           DO  k = disturbance_level_ind_b-1, disturbance_level_ind_t+1
-             dist2(k,j,i) = ( dist1(k,j,i-1) + dist1(k,j,i+1)                  &
-                            + dist1(k,j+1,i) + dist1(k+1,j,i)                  &
+             dist2(k,j,i) = ( dist1(k,j,i-1) + dist1(k,j,i+1)                                      &
+                            + dist1(k,j+1,i) + dist1(k+1,j,i)                                      &
                             ) / 12.0_wp
           ENDDO
           DO  k = disturbance_level_ind_b-1, disturbance_level_ind_t+1
-              dist2(k,j,i) = dist2(k,j,i) + ( dist1(k,j-1,i) + dist1(k-1,j,i)  &
-                            + 6.0_wp * dist1(k,j,i)                            &
-                            ) / 12.0_wp
+              dist2(k,j,i) = dist2(k,j,i) + ( dist1(k,j-1,i) + dist1(k-1,j,i)                      &
+                            + 6.0_wp * dist1(k,j,i)                                                &
+                                            ) / 12.0_wp
           ENDDO
         ENDDO
@@ -208,7 +196,7 @@
        DO  j = nys, nyn
           DO  k = disturbance_level_ind_b-2, disturbance_level_ind_t+2
-             dist1(k,j,i) = ( dist2(k,j,i-1) + dist2(k,j,i+1) + dist2(k,j-1,i) &
-                            + dist2(k,j+1,i) + dist2(k+1,j,i) + dist2(k-1,j,i) &
-                            + 6.0_wp * dist2(k,j,i)                            &
+             dist1(k,j,i) = ( dist2(k,j,i-1) + dist2(k,j,i+1) + dist2(k,j-1,i)                     &
+                            + dist2(k,j+1,i) + dist2(k+1,j,i) + dist2(k-1,j,i)                     &
+                            + 6.0_wp * dist2(k,j,i)                                                &
                             ) / 12.0_wp
           ENDDO
@@ -219,13 +207,12 @@
 
 !
-!-- Remove perturbations below topography (including one gridpoint above it
-!-- in order to allow for larger timesteps at the beginning of the simulation
-!-- (diffusion criterion))
+!-- Remove perturbations below topography (including one gridpoint above it in order to allow for
+!-- larger timesteps at the beginning of the simulation (diffusion criterion))
     IF ( TRIM( topography ) /= 'flat' )  THEN
        DO  i = nxlg, nxrg
           DO  j = nysg, nyng
              DO  k = nzb, nzb_max
-                dist1(k,j,i) = MERGE( dist1(k,j,i), 0.0_wp,                    &
-                                  BTEST( wall_flags_total_0(k,j,i), flag_nr )  &
+                dist1(k,j,i) = MERGE( dist1(k,j,i), 0.0_wp,                                        &
+                                  BTEST( wall_flags_total_0(k,j,i), flag_nr )                      &
                                     )
              ENDDO
